The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get the CLI Auditing Configuration at Sensor Level

Prev Next

This URL gets the CLI auditing configuration at the Sensor level.

Resource URL

GET /sensor/<sensorId>/cliauditing

Request Parameters

URL Parameters:

Field Name Description Data Type Mandatory
sensorId Sensor id Number Yes

Response Parameters

Following fields are returned.

Field Name Description Data Type
inheritSettings Inherit settings from parent domain Boolean
enable CLI auditing enabled or not Boolean

Example

Request

GET https://<NSM_IP>/sdkapi/sensor/1001/cliauditing

Response

{
        "inheritSettings": false,
        "enable": true
    } 
 

Error Information

Following error codes are returned by this URL:

No HTTP Error Code SDK API errorId SDK API errorMessage
1 404 1106 Invalid Sensor
2 400 1124 The Sensor is inactive